## renpy 6.99.8+dfsg

=== debian/changelog ===
renpy (6.99.8+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add IMG_savepng.c.patch and fix FTBFS on Big-endian architectures.

 -- Markus Koschany <apo@debian.org>  Tue, 26 Jan 2016 17:54:19 +0100

renpy (6.99.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #810852)
  * debian/control:
    - Switch to SDL2.
    - Remove libspeex-dev, libavutil-dev, libmodplug-dev, libpng-dev.
    - Add libjpeg-dev and python-pygame-sdl2.
    - Replace fonts-roboto with fonts-roboto-hinted.
    - renpy: Remove versioned python-renpy (<< ${source:Version}.1~)
      dependency.
  * Rebase patches 01-04.
  * debian/rules: Use DEB_HOST_MULTIARCH for renpy's install path.
  * Merge ffmpeg related patches into ffmpeg-2.9.patch.
  * Ensure that renpy can be built twice in a row.
  * debian/rules: Find all html files and fix the privacy issue.
  * renpy-demo: Replace NanumGothic.ttf with system font
  * renpy: Replace DroidSansFallback.ttf with system font.
  * renpy: Replace DejaVuSans-Bold.ttf with system font.
  * Update debian/copyright for new release and switch to copyright format 1.0.
  * Add get-orig-source target and remove prebuilt *.pyo files
    and unwanted fonts which are already packaged for Debian.

 -- Markus Koschany <apo@debian.org>  Tue, 26 Jan 2016 15:55:51 +0100

renpy (6.17.6-4) unstable; urgency=medium

  * Team upload.
  * Fix file permissions in dh_auto_build override and only in
    dh_install-indep. Thus we can completely remove the second dh_install
    override which also ensures that the privacy issues are properly fixed.

 -- Markus Koschany <apo@debian.org>  Thu, 21 Jan 2016 12:31:54 +0100

renpy (6.17.6-3) unstable; urgency=medium

  * Team upload.
  * Add an arch-indep override for dh_install so that building the package will
    not fail on buildd.

 -- Markus Koschany <apo@debian.org>  Tue, 12 Jan 2016 23:47:33 +0100

renpy (6.17.6-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with FFmpeg 2.9. Thanks to Andreas Cadhalpun for the report and
    patch. (Closes: #803858)
  * Replace macros removed from FFmpeg. Thanks to Andreas Cadhalpun for the
    report and patch. (Closes: #758365)
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.6.
  * Move the package to Git.
  * Remove debian/pycompat because it is obsolete.
  * Remove README.source because source format 3.0 uses quilt by default.
  * d/control:
    - Remove quilt from Build-Depends.
    - Remove dpkg-dev from Build-Depends.
    - Use unversioned libglew-dev build-dependency.
    - Remove versioned dependency on python-pygame.
    - Switch to fonts-dejavu-core.
    - Replace fonts-roboto with fonts-roboto-hinted and adjust the
      paths in links files accordingly.
    - Build-depend on libpng-dev instead of libpng12-dev. (Closes: #662492)
  * renpy-doc: Depend on libjs-jquery and libjs-underscore and fix Lintian
    warning about embedded javascript libraries.
  * Simplify debian/rules by using dh sequencer.
    Remove dirs and docs file and use install files instead. Replace
    dh_install, dh_links and dh_installmanpages commands with install, links
    and manpages files.
  * Ensure renpy can be built twice in a row.
  * source/options: Do not use bzip compression and use xz compression instead.
  * Update debian/watch and detect the latest releases. Thanks to Bart Martens.
  * desktop files: Add keywords and a comment in German. Change category key to
    Game;AdventureGame;

 -- Markus Koschany <apo@debian.org>  Tue, 12 Jan 2016 20:21:20 +0100

=== debian/control ===
Source: renpy
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <miriam@debian.org>
Build-Depends:
 cython,
 debhelper (>= 9),
 dh-python,
 libavcodec-dev,
 libavformat-dev,
 libavresample-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libglew-dev,
 libjpeg-dev,
 libsdl2-dev,
 libsdl2-gfx-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-ttf-dev,
 libswscale-dev,
 python-all-dev,
 python-pygame-sdl2,
 python-setuptools,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.renpy.org/
XS-Python-Version: >= 2.6
Vcs-Git: https://anonscm.debian.org/pkg-games/renpy.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/renpy.git

Package: renpy
Architecture: all
Depends:
 fonts-dejavu-core,
 fonts-droid-fallback,
 fonts-motoya-l-cedar,
 fonts-nanum,
 fonts-roboto-hinted,
 python-pygame-sdl2,
 python-renpy (>= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Recommends:
 python-ctypes,
 zenity
Description: framework for developing visual-novel type games
 Ren'Py is a programming language and runtime, intended to ease the creation
 of visual-novel type games. It contains features that make it easy to
 display thoughts, dialogue, and menus; to display images to the user; to
 write game logic; and to support the saving and loading of games.
 .
 Ren'Py tries to be like an executable script, allowing you to get a working
 game without much more effort than is required to type the game script into
 the computer.
 .
 Ren'Py is implemented on top of Python, and that Python heritage shows
 through in many places. Many Ren'Py statements allow Python expressions
 to be used, and there are also Ren'Py statements that allow for the
 execution of arbitrary Python code. Many of the less-used features of
 Ren'Py are exposed to the user by way of Python. By only requiring use of
 the simplest features of Python, it's hoped that Ren'Py will be usable by
 all game authors.

Package: python-renpy
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests:
 renpy
Description: framework for developing visual-novel type games - Python module
 Ren'Py is a programming language and runtime, intended to ease the creation
 of visual-novel type games. It contains features that make it easy to
 display thoughts, dialogue, and menus; to display images to the user; to
 write game logic; and to support the saving and loading of games.
 .
 This package includes the native Python module.

Package: renpy-doc
Section: doc
Architecture: all
Depends:
 libjs-jquery,
 libjs-underscore,
 ${misc:Depends}
Suggests:
 renpy
Description: framework for developing visual-novel type games - doc
 Ren'Py is a programming language and runtime, intended to ease the creation
 of visual-novel type games. It contains features that make it easy to
 display thoughts, dialogue, and menus; to display images to the user; to
 write game logic; and to support the saving and loading of games.
 .
 This package includes the documentation for Ren'Py.

Package: renpy-demo
Architecture: all
Depends:
 renpy (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: framework for developing visual-novel type games - demo
 Ren'Py is a programming language and runtime, intended to ease the creation
 of visual-novel type games. It contains features that make it easy to
 display thoughts, dialogue, and menus; to display images to the user; to
 write game logic; and to support the saving and loading of games.
 .
 This package includes a full playable example showing the features of the
 framework.

Package: renpy-thequestion
Architecture: all
Depends:
 renpy (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: simple and complete Ren'Py game
 Ren'Py is a programming language and runtime, intended to ease the creation
 of visual-novel type games. It contains features that make it easy to
 display thoughts, dialogue, and menus; to display images to the user; to
 write game logic; and to support the saving and loading of games.
 .
 This package includes a simple and complete Ren'Py game.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS2:=-Wl,-z,defs  -Wl,-as-needed -Wl,--no-undefined
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

RENPY_DEPS_INSTALL="/usr::/usr/lib/$(DEB_HOST_MULTIARCH)"

%:
	dh $@ --parallel --with python2

override_dh_install-indep:
	chmod +x renpy.py
	dh_install
	#Fix Privacy Issues
	cd $(CURDIR)/debian/renpy-doc/usr/share/doc/renpy/html/ && \
		find . -type f -name "*.html" | while read f; do \
			cp "$$f" "$$f.orig"; \
			cat "$$f.orig" \
				| awk -vnum=10 '/http:\/\/www.google.com\/jsapi/{for(i=0;i<=num;i++)getline}1' > "$$f"; \
		done; rm *.orig

override_dh_auto_build:
	find */ -name "*.py" | while read F; do chmod --verbose 644 "$$F"; done
	export RENPY_DEPS_INSTALL=$(RENPY_DEPS_INSTALL) ; \
		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS) $(LDFLAGS2)" \
		cd module && python$* setup.py build

override_dh_auto_install:
	export RENPY_DEPS_INSTALL=$(RENPY_DEPS_INSTALL) ; \
		cd module && python$* setup.py install \
			--no-compile \
			--root=$(CURDIR)/debian/python-renpy \
			;

override_dh_compress:
	dh_compress --exclude=.js --exclude=.pdf --exclude=.py --exclude=.txt

override_dh_clean:
	dh_clean
	rm -fv `find . -name "*.pyc"`
	rm -fv `find . -name "*.so"`
	rm -fv `find . -name "*.o"`
	rm -rf module/build/
	rm -fv module/gen/renpy.style*.c
	rm -fv module/gen/renpy.style*.html
	rm -fv module/gen/style*.html
	rm -fv module/gen/*.cc
	rm -fv module/gen/*.pyx
	rm -fv module/gen/*.pxi

get-orig-source:
	uscan --download-current-version --force-download --repack --compression xz

## renpy 6.99.10+dfsg

=== debian/changelog ===
renpy (6.99.10+dfsg-1build1) yakkety; urgency=medium

  * Rebuild for ffmpeg 3.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 01 May 2016 15:48:45 +0100

renpy (6.99.10+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 6.99.10+dfsg.
  * Drop remove-PydevCodeAnalysisIgnore.patch. Fixed upstream.
  * Convert hicolor MacOS icons for renpy and renpy-thequestion to png
    and install them to hicolor directory. Build-Depend on icnsutils.

 -- Markus Koschany <apo@debian.org>  Sun, 27 Mar 2016 23:33:56 +0200

renpy (6.99.9+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 6.99.9+dfsg.
  * Fix Vcs-Git URI.
  * Drop 04_typo.patch, IMG_savepng.c.patch, ffmpeg-2.9.patch. They were
    applied upstream.
  * Declare compliance with Debian Policy 3.9.7.
  * Update debian/copyright for new release.
  * Override Lintian error source-is-missing because the js files are replaced
    by symlinks to Debian packages which contain the sources.
  * Add remove-PydevCodeAnalysisIgnore.patch and remove
    #@PydevCodeAnalysisIgnore from renpy.py because it causes a runtime error
    and the game will not start.

 -- Markus Koschany <apo@debian.org>  Sun, 13 Mar 2016 19:47:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  cython,
  debhelper (>= 9),
  dh-python,
+ icnsutils,
  libavcodec-dev,
  libavformat-dev,
  libavresample-dev,
@@ -25,10 +26,10 @@
  python-pygame-sdl2,
  python-setuptools,
  zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.renpy.org/
 XS-Python-Version: >= 2.6
-Vcs-Git: https://anonscm.debian.org/pkg-games/renpy.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/renpy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/renpy.git
 
 Package: renpy

=== debian/rules ===
--- 
+++ 
@@ -17,13 +17,18 @@
 
 override_dh_install-indep:
 	chmod +x renpy.py
+	# Convert hicolor MacOS icons to png
+	icns2png -x -s 128x128 -d 32 launcher/icon.icns
+	mv icon_128x128x32.png renpy.png
+	icns2png -x -s 128x128 -d 32 the_question/icon.icns
+	mv icon_128x128x32.png renpy-thequestion.png
 	dh_install
 	#Fix Privacy Issues
 	cd $(CURDIR)/debian/renpy-doc/usr/share/doc/renpy/html/ && \
 		find . -type f -name "*.html" | while read f; do \
 			cp "$$f" "$$f.orig"; \
 			cat "$$f.orig" \
-				| awk -vnum=10 '/http:\/\/www.google.com\/jsapi/{for(i=0;i<=num;i++)getline}1' > "$$f"; \
+				| awk -vnum=10 '/http|https:\/\/www.google.com\/jsapi/{for(i=0;i<=num;i++)getline}1' > "$$f"; \
 		done; rm *.orig
 
 override_dh_auto_build:
@@ -55,6 +60,7 @@
 	rm -fv module/gen/*.cc
 	rm -fv module/gen/*.pyx
 	rm -fv module/gen/*.pxi
+	$(RM) renpy.png renpy-thequestion.png
 
 get-orig-source:
 	uscan --download-current-version --force-download --repack --compression xz

## renpy 6.99.12.2+dfsg

=== debian/changelog ===
renpy (6.99.12.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.99.12.2+dfsg.

 -- Markus Koschany <apo@debian.org>  Wed, 04 Jan 2017 22:42:59 +0100

renpy (6.99.12.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.99.12.1+dfsg.

 -- Markus Koschany <apo@debian.org>  Sun, 25 Dec 2016 03:56:25 +0100

renpy (6.99.12+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix translations-tmpdir.patch and use os.path.expanduser.

 -- Markus Koschany <apo@debian.org>  Thu, 22 Dec 2016 18:47:09 +0100

renpy (6.99.12+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.99.12+dfsg.
  * Switch to compat level 10.
  * Update Files-Excluded paragraph.
  * Fix symlinks to font files.
  * Install gui directory into renpy package.
  * Add translations-tmpdir.patch and use the user's HOME directory for storing
    the temporary translations file.

 -- Markus Koschany <apo@debian.org>  Wed, 21 Dec 2016 12:31:54 +0100

renpy (6.99.11+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.99.11+dfsg.
  * Declare compliance with Debian Policy 3.9.8.
  * Add new 128x128 pixel hicolor icon for renpy-demo.

 -- Markus Koschany <apo@debian.org>  Thu, 08 Sep 2016 02:22:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Miriam Ruiz <miriam@debian.org>
 Build-Depends:
  cython,
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  icnsutils,
  libavcodec-dev,
@@ -26,7 +26,7 @@
  python-pygame-sdl2,
  python-setuptools,
  zlib1g-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.renpy.org/
 XS-Python-Version: >= 2.6
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/renpy.git

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 RENPY_DEPS_INSTALL="/usr::/usr/lib/$(DEB_HOST_MULTIARCH)"
 
 %:
-	dh $@ --parallel --with python2
+	dh $@ --with python2
 
 override_dh_install-indep:
 	chmod +x renpy.py

## renpy 6.99.12.4+dfsg

=== debian/changelog ===
renpy (6.99.12.4+dfsg-1build1) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:23:38 +0000

renpy (6.99.12.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.99.12.4+dfsg.
  * Drop deprecated menu files and xpm icons.
  * renpy: Recommend python-tk which is required when creating new projects.
    Thanks to Hans Joachim Desserud for the report. (Closes: #863993)
  * Use https for Format field.
  * export DEB_BUILD_MAINT_OPTIONS = hardening=+all.
  * Declare compliance with Debian Policy 4.0.0.

 -- Markus Koschany <apo@debian.org>  Tue, 20 Jun 2017 12:54:18 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python-pygame-sdl2,
  python-setuptools,
  zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.renpy.org/
 XS-Python-Version: >= 2.6
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/renpy.git
@@ -46,6 +46,7 @@
  ${python:Depends}
 Recommends:
  python-ctypes,
+ python-tk,
  zenity
 Description: framework for developing visual-novel type games
  Ren'Py is a programming language and runtime, intended to ease the creation

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)

## renpy 6.99.13+dfsg

=== sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -D language=$(LANGUAGE) -t language_$(LANGUAGE)
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  compile-po to make compiled MO files from PO"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: credits.rst
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/TheRenPyVisualNovelEngine.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/TheRenPyVisualNovelEngine.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/TheRenPyVisualNovelEngine"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/TheRenPyVisualNovelEngine"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

compile-po:
	@for p in $(shell find locale -name *.po); do \
		echo $$p; \
		mkdir -p source/locale/`basename $$p | sed s/\.po//g`/LC_MESSAGES; \
		msgfmt --statistics $$p -o source/locale/`basename $$p | sed s/\.po//g`/LC_MESSAGES/`dirname $$p | xargs basename`.mo; \
	done;

gettext:
	$(SPHINXBUILD) -b gettext -t gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@ls $(BUILDDIR)/locale
	@for p in `find $(BUILDDIR)/locale -name *.pot`; do \
		echo locale/`basename $$p` | sed s/\.pot//g | xargs mkdir -p; \
		echo locale/`basename $$p` | sed s/\.pot//g | xargs mv $$p; \
	done;
	@echo "msgid \"translator-credits\"" >> locale/credits/credits.pot
	@echo "msgstr \"\"" >> locale/credits/credits.pot
	@echo >> locale/credits/credits.pot
	@echo
	@echo "Build finished. The message catalogs are in locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
renpy (6.99.13+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.99.13+dfsg.
  * Declare compliance with Debian Policy 4.1.2.
  * Rebase translations-tmpdir.patch.
  * Build the documentation from source with sphinxdoc.
  * Add README.source.
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@debian.org>  Sat, 02 Dec 2017 21:15:55 +0100

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,10 @@
  python-all-dev,
  python-pygame-sdl2,
  python-setuptools,
+ python-sphinx,
+ python-sphinx-bootstrap-theme,
  zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: http://www.renpy.org/
 XS-Python-Version: >= 2.6
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/renpy.git
@@ -87,9 +89,8 @@
 Section: doc
 Architecture: all
 Depends:
- libjs-jquery,
- libjs-underscore,
- ${misc:Depends}
+ ${misc:Depends},
+ ${sphinxdoc:Depends}
 Suggests:
  renpy
 Description: framework for developing visual-novel type games - doc

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 RENPY_DEPS_INSTALL="/usr::/usr/lib/$(DEB_HOST_MULTIARCH)"
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,sphinxdoc
 
 override_dh_install-indep:
 	chmod +x renpy.py
@@ -24,13 +24,6 @@
 	icns2png -x -s 128x128 -d 32 the_question/icon.icns
 	mv icon_128x128x32.png renpy-thequestion.png
 	dh_install
-	#Fix Privacy Issues
-	cd $(CURDIR)/debian/renpy-doc/usr/share/doc/renpy/html/ && \
-		find . -type f -name "*.html" | while read f; do \
-			cp "$$f" "$$f.orig"; \
-			cat "$$f.orig" \
-				| awk -vnum=10 '/http|https:\/\/www.google.com\/jsapi/{for(i=0;i<=num;i++)getline}1' > "$$f"; \
-		done; rm *.orig
 
 override_dh_auto_build:
 	find */ -name "*.py" | while read F; do chmod --verbose 644 "$$F"; done
@@ -38,6 +31,8 @@
 		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
 		LDFLAGS="$(LDFLAGS) $(LDFLAGS2)" \
 		cd module && python$* setup.py build
+	export http_proxy=127.0.0.1:9
+	PYTHONPATH=. sphinx-build -N -bhtml sphinx/source/ build/html # HTML generator
 
 override_dh_auto_install:
 	export RENPY_DEPS_INSTALL=$(RENPY_DEPS_INSTALL) ; \

## renpy 6.99.14.1%2Bdfsg

=== debian/watch ===
version=3
opts=uversionmangle=s/-source$//;s/^(\S+-(?:editra|sdk$))/0.0.$1/,dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/,repacksuffix=+dfsg \
http://www.renpy.org/latest.html \
(?:|.*/)renpy(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## renpy 6.99.14.1+dfsg

=== debian/changelog ===
renpy (6.99.14.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.99.14.1+dfsg.
  * Drop README.source. The source files for the documentation are now included
    in the original tarball.

 -- Markus Koschany <apo@debian.org>  Thu, 08 Feb 2018 18:46:23 +0100

renpy (6.99.14+dfsg-1) unstable; urgency=medium

  * New upstream version 6.99.14+dfsg.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Remove the doc directory in Files-Excluded.
  * Remove all generated code in module/gen in dh_clean override.

 -- Markus Koschany <apo@debian.org>  Wed, 24 Jan 2018 23:27:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Miriam Ruiz <miriam@debian.org>
 Build-Depends:
  cython,
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  icnsutils,
  libavcodec-dev,
@@ -28,7 +28,7 @@
  python-sphinx,
  python-sphinx-bootstrap-theme,
  zlib1g-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: http://www.renpy.org/
 XS-Python-Version: >= 2.6
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/renpy.git

=== debian/rules ===
--- 
+++ 
@@ -50,12 +50,7 @@
 	rm -fv `find . -name "*.so"`
 	rm -fv `find . -name "*.o"`
 	rm -rf module/build/
-	rm -fv module/gen/renpy.style*.c
-	rm -fv module/gen/renpy.style*.html
-	rm -fv module/gen/style*.html
-	rm -fv module/gen/*.cc
-	rm -fv module/gen/*.pyx
-	rm -fv module/gen/*.pxi
+	rm -fv module/gen/*
 	$(RM) renpy.png renpy-thequestion.png
 
 get-orig-source:

## renpy 7.0.0+dfsg

=== debian/changelog ===
renpy (7.0.0+dfsg-1build1) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:48:52 +0000

renpy (7.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.0.0+dfsg.

 -- Markus Koschany <apo@debian.org>  Sat, 09 Jun 2018 23:20:03 +0200

renpy (6.99.14.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.99.14.3+dfsg.
  * Declare compliance with Debian Policy 4.1.4.

 -- Markus Koschany <apo@debian.org>  Fri, 13 Apr 2018 01:01:40 +0200

=== debian/control ===
--- 
+++ 
@@ -28,9 +28,8 @@
  python-sphinx,
  python-sphinx-bootstrap-theme,
  zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.renpy.org/
-XS-Python-Version: >= 2.6
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/renpy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/renpy.git

## renpy 7.1.3+dfsg

=== debian/changelog ===
renpy (7.1.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Link the Nanum font with renpy.links, so that renpy-demo and
    renpy-thequestion have access to the same file. This fixes an error in the
    preferences menu.

 -- Markus Koschany <apo@debian.org>  Sun, 02 Dec 2018 15:35:25 +0100

renpy (7.1.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.1.3+dfsg.
  * Update debian/copyright for new release.
  * Remove fonts-droid-fallback dependency. The font is gone.

 -- Markus Koschany <apo@debian.org>  Wed, 28 Nov 2018 17:39:17 +0100

renpy (7.1.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.1.1+dfsg
  * Remove fribidi-src from upstream tarball.  We use Debian's system library
    instead.

 -- Markus Koschany <apo@debian.org>  Mon, 15 Oct 2018 12:29:12 +0200

renpy (7.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.1.0+dfsg.
  * Declare compliance with Debian Policy 4.2.1.
  * Add system-fribidi.patch and prefer Debian's system version again.

 -- Markus Koschany <apo@debian.org>  Sat, 15 Sep 2018 21:14:14 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  python-sphinx,
  python-sphinx-bootstrap-theme,
  zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://www.renpy.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/renpy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/renpy.git
@@ -37,7 +37,6 @@
 Architecture: all
 Depends:
  fonts-dejavu-core,
- fonts-droid-fallback,
  fonts-motoya-l-cedar,
  fonts-nanum,
  fonts-roboto-hinted,

## renpy 7.3.2+dfsg

=== debian/changelog ===
renpy (7.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.3.2+dfsg.
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Fri, 09 Aug 2019 02:59:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Miriam Ruiz <miriam@debian.org>
 Build-Depends:
  cython,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  icnsutils,
  libavcodec-dev,
@@ -28,10 +28,10 @@
  python-sphinx,
  python-sphinx-bootstrap-theme,
  zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: http://www.renpy.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/renpy.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/renpy.git
+Vcs-Git: https://salsa.debian.org/games-team/renpy.git
+Vcs-Browser: https://salsa.debian.org/games-team/renpy
 
 Package: renpy
 Architecture: all

## renpy 7.3.5%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders:
  Miriam Ruiz <miriam@debian.org>
 Build-Depends:
- cython,
+ cython3,
  debhelper-compat (= 12),
  dh-python,
  icnsutils,
  libavcodec-dev,
  libavformat-dev,
- libavresample-dev,
+ libswresample-dev,
  libfreetype6-dev,
  libfribidi-dev,
  libglew-dev,
@@ -22,13 +22,13 @@
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  libswscale-dev,
- python-all-dev,
- python-pygame-sdl2,
- python-setuptools,
- python-sphinx,
- python-sphinx-bootstrap-theme,
+ python3-all-dev,
+ python3-pygame-sdl2,
+ python3-setuptools,
+ python3-sphinx,
+ python3-sphinx-bootstrap-theme,
  zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://www.renpy.org/
 Vcs-Git: https://salsa.debian.org/games-team/renpy.git
 Vcs-Browser: https://salsa.debian.org/games-team/renpy
@@ -40,10 +40,10 @@
  fonts-motoya-l-cedar,
  fonts-nanum,
  fonts-roboto-hinted,
- python-pygame-sdl2,
+ python3-pygame-sdl2,
  python-renpy (>= ${source:Version}),
  ${misc:Depends},
- ${python:Depends}
+ ${python3:Depends}
 Recommends:
  python-ctypes,
  python-tk,
@@ -71,7 +71,7 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends}
 Suggests:
  renpy
@@ -104,7 +104,7 @@
 Depends:
  renpy (= ${source:Version}),
  ${misc:Depends},
- ${python:Depends}
+ ${python3:Depends}
 Description: framework for developing visual-novel type games - demo
  Ren'Py is a programming language and runtime, intended to ease the creation
  of visual-novel type games. It contains features that make it easy to
@@ -119,7 +119,7 @@
 Depends:
  renpy (= ${source:Version}),
  ${misc:Depends},
- ${python:Depends}
+ ${python3:Depends}
 Description: simple and complete Ren'Py game
  Ren'Py is a programming language and runtime, intended to ease the creation
  of visual-novel type games. It contains features that make it easy to

## renpy 7.3.5+dfsg

=== debian/changelog ===
renpy (7.3.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Depend on libswresample instead of libavresample. (Closes: #971325)
    Port to Python 3 has still not been finished yet. Just switch the
    dependency, the game is still broken though. See also #938351.
  * Depend on python3-pygame-sdl2.

 -- Markus Koschany <apo@debian.org>  Sat, 18 Dec 2021 16:07:00 +0100

renpy (7.3.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.3.5+dfsg.
  * Declare compliance with Debian Policy 4.4.1.

 -- Markus Koschany <apo@debian.org>  Sun, 20 Oct 2019 16:50:23 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 RENPY_DEPS_INSTALL="/usr::/usr/lib/$(DEB_HOST_MULTIARCH)"
 
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python3,sphinxdoc
 
 override_dh_install-indep:
 	chmod +x renpy.py
@@ -26,20 +26,20 @@
 	dh_install
 
 override_dh_auto_build:
-	find */ -name "*.py" | while read F; do chmod --verbose 644 "$$F"; done
-	export RENPY_DEPS_INSTALL=$(RENPY_DEPS_INSTALL) ; \
-		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
-		LDFLAGS="$(LDFLAGS) $(LDFLAGS2)" \
-		cd module && python$* setup.py build
-	export http_proxy=127.0.0.1:9
-	PYTHONPATH=. sphinx-build -N -bhtml sphinx/source/ build/html # HTML generator
+	#find */ -name "*.py" | while read F; do chmod --verbose 644 "$$F"; done
+	#export RENPY_DEPS_INSTALL=$(RENPY_DEPS_INSTALL) ; \
+	#	CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
+	#	LDFLAGS="$(LDFLAGS) $(LDFLAGS2)" \
+	#	cd module && python3 setup.py build
+	#export http_proxy=127.0.0.1:9
+	#PYTHONPATH=. sphinx-build -N -bhtml sphinx/source/ build/html # HTML generator
 
 override_dh_auto_install:
-	export RENPY_DEPS_INSTALL=$(RENPY_DEPS_INSTALL) ; \
-		cd module && python$* setup.py install \
-			--no-compile \
-			--root=$(CURDIR)/debian/python-renpy \
-			;
+	#export RENPY_DEPS_INSTALL=$(RENPY_DEPS_INSTALL) ; \
+	#	cd module && python3 setup.py install \
+	#		--no-compile \
+	#		--root=$(CURDIR)/debian/python-renpy \
+	#		;
 
 override_dh_compress:
 	dh_compress --exclude=.js --exclude=.pdf --exclude=.py --exclude=.txt

## renpy 8.0.2+dfsg

=== debian/changelog ===
renpy (8.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.0.2+dfsg.
  * Update debian/copyright for new release
  * Drop no-tinyfiledialogs.patch. The module has been included now.

 -- Markus Koschany <apo@debian.org>  Tue, 23 Aug 2022 12:36:50 +0200

renpy (8.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.0.1+dfsg.
    * Renpy supports Python 3 now. (Closes: #1006540, #938351)
  * Remove get-orig-source target.
  * Rename python-renpy binary package to python3-renpy and also remove
    python-ctypes from Recommends in debian/control.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.6.1.
  * d/control: Use https for homepage URL.
  * Refresh all patches.
  * Build-depend and depend on python3-future.
  * Depend on python3-six for compatibility reasons.
  * Depend on python3-pefile for changing icons.
  * Add cython3.patch to find the correct cython command.
  * Drop system-fribidi.patch and use local fribidi sources because the system
    library does not work currently.
  * Add no-tinyfiledialogs.patch because the tinyfiledialogs library is not
    present.
  * Install higher resolution icons.

 -- Markus Koschany <apo@debian.org>  Mon, 08 Aug 2022 13:48:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Miriam Ruiz <miriam@debian.org>
 Build-Depends:
  cython3,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  icnsutils,
  libavcodec-dev,
@@ -23,13 +23,14 @@
  libsdl2-ttf-dev,
  libswscale-dev,
  python3-all-dev,
+ python3-future,
  python3-pygame-sdl2,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-bootstrap-theme,
  zlib1g-dev
-Standards-Version: 4.4.1
-Homepage: http://www.renpy.org/
+Standards-Version: 4.6.1
+Homepage: https://www.renpy.org/
 Vcs-Git: https://salsa.debian.org/games-team/renpy.git
 Vcs-Browser: https://salsa.debian.org/games-team/renpy
 
@@ -40,13 +41,15 @@
  fonts-motoya-l-cedar,
  fonts-nanum,
  fonts-roboto-hinted,
+ python3-future,
+ python3-pefile,
  python3-pygame-sdl2,
- python-renpy (>= ${source:Version}),
+ python3-renpy (>= ${source:Version}),
+ python3-six,
  ${misc:Depends},
  ${python3:Depends}
 Recommends:
- python-ctypes,
- python-tk,
+ python3-tk,
  zenity
 Description: framework for developing visual-novel type games
  Ren'Py is a programming language and runtime, intended to ease the creation
@@ -66,7 +69,7 @@
  the simplest features of Python, it's hoped that Ren'Py will be usable by
  all game authors.
 
-Package: python-renpy
+Package: python3-renpy
 Section: python
 Architecture: any
 Depends:

## renpy 8.0.3+dfsg

=== debian/changelog ===
renpy (8.0.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.0.3+dfsg.
  * Update python3.11.patch.

 -- Markus Koschany <apo@debian.org>  Sat, 25 Feb 2023 20:54:00 +0100

renpy (8.0.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with latest setuptools version in Debian. (Closes: #1030459)

 -- Markus Koschany <apo@debian.org>  Sun, 05 Feb 2023 00:48:33 +0100

renpy (8.0.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Work around FTBFS with Python 3.11. Add python-3.11.patch.
    (Closes: #1024317, #1027812)
  * Declare compliance with Debian Policy 4.6.2.

 -- Markus Koschany <apo@debian.org>  Sun, 22 Jan 2023 20:57:09 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  python3-sphinx,
  python3-sphinx-bootstrap-theme,
  zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.renpy.org/
 Vcs-Git: https://salsa.debian.org/games-team/renpy.git
 Vcs-Browser: https://salsa.debian.org/games-team/renpy

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS2:=-Wl,-z,defs  -Wl,-as-needed -Wl,--no-undefined
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

RENPY_DEPS_INSTALL="/usr::/usr/lib/$(DEB_HOST_MULTIARCH)"

%:
	dh $@ --with python3,sphinxdoc

override_dh_install-indep:
	chmod +x renpy.py
	# Convert hicolor MacOS icons to png
	icns2png -x -s 512x512 -d 32 launcher/icon.icns
	mv icon_512x512x32.png renpy.png
	icns2png -x -s 256x256 -d 32 the_question/icon.icns
	mv icon_256x256x32.png renpy-thequestion.png
	dh_install

override_dh_auto_build:
	find */ -name "*.py" | while read F; do chmod --verbose 644 "$$F"; done
	export RENPY_DEPS_INSTALL=$(RENPY_DEPS_INSTALL) ; \
		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS) $(LDFLAGS2)" \
		cd module && python3 setup.py build
	export http_proxy=127.0.0.1:9
	PYTHONPATH=. sphinx-build -N -bhtml sphinx/source/ build/html # HTML generator

override_dh_auto_install:
	export RENPY_DEPS_INSTALL=$(RENPY_DEPS_INSTALL) ; \
		cd module && python3 setup.py install \
			--no-compile \
			--root=$(CURDIR)/debian/python3-renpy \
			;

override_dh_compress:
	dh_compress --exclude=.js --exclude=.pdf --exclude=.py --exclude=.txt

override_dh_clean:
	dh_clean
	rm -fv `find . -name "*.pyc"`
	rm -fv `find . -name "*.so"`
	rm -fv `find . -name "*.o"`
	rm -rf module/build/
	rm -fv module/gen/*
	$(RM) renpy.png renpy-thequestion.png

## renpy 8.1.3%2Bdfsg

=== debian/changelog ===
renpy (8.1.3+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:55:06 +1100

renpy (8.1.3+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:09:40 +0000

renpy (8.1.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.1.3+dfsg (Closes: #1038426)
  * build with cython3-legacy for now (Closes: #1056883)
  * only build for current python3 (Closes: #1055736)
  * remove usage of python3-future (Closes: #1061451)
  * replace transitional libfreetype6-dev Dep with libfreetype-dev
  * d/rules: trim & use /usr/share/dpkg/{architecture,buildflags}.mk
  * close old, unreproductible, Python2-related, Ubuntu bugs.
    (LP: #1017063, LP: #314936, LP: #1972076, LP: #1086231)
  * switch to python3-sphinx-rtd-theme
  * refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Jan 2024 21:49:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: renpy
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Miriam Ruiz <miriam@debian.org>
+# https://www.renpy.org/doc/html/incompatible.html
+# Support for Python 2 will be dropped
+# 1 year after Ren'Py 8.1 is released, in May 2024.
 Build-Depends:
- cython3,
+ cython3-legacy,
  debhelper-compat (= 13),
  dh-python,
  icnsutils,
  libavcodec-dev,
  libavformat-dev,
  libswresample-dev,
- libfreetype6-dev,
+ libfreetype-dev,
  libfribidi-dev,
  libglew-dev,
  libjpeg-dev,
@@ -22,12 +26,11 @@
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  libswscale-dev,
- python3-all-dev,
- python3-future,
+ python3-dev,
  python3-pygame-sdl2,
  python3-setuptools,
  python3-sphinx,
- python3-sphinx-bootstrap-theme,
+ python3-sphinx-rtd-theme,
  zlib1g-dev
 Standards-Version: 4.6.2
 Homepage: https://www.renpy.org/
@@ -41,7 +44,6 @@
  fonts-motoya-l-cedar,
  fonts-nanum,
  fonts-roboto-hinted,
- python3-future,
  python3-pefile,
  python3-pygame-sdl2,
  python3-renpy (>= ${source:Version}),

## renpy 8.1.3+dfsg

=== module/libhydrogen/Makefile ===
PREFIX ?= /usr/local
WFLAGS ?= -Wall -Wextra -Wmissing-prototypes -Wdiv-by-zero -Wbad-function-cast -Wcast-align -Wcast-qual -Wfloat-equal -Wmissing-declarations -Wnested-externs -Wno-unknown-pragmas -Wpointer-arith -Wredundant-decls -Wstrict-prototypes -Wswitch-enum -Wno-type-limits
CFLAGS ?= -Os -mtune=native -fno-exceptions $(WFLAGS)
CFLAGS += -I.
OBJ = hydrogen.o
AR ?= ar
RANLIB ?= ranlib

SRC = \
	hydrogen.c \
	hydrogen.h \
	impl/common.h \
	impl/core.h \
	impl/gimli-core.h \
	impl/hash.h \
	impl/hydrogen_p.h \
	impl/kdf.h \
	impl/kx.h \
	impl/pwhash.h \
	impl/random.h \
	impl/secretbox.h \
	impl/sign.h \
	impl/x25519.h

all: lib test

lib: libhydrogen.a

install: lib
	mkdir -p $(PREFIX)/lib
	install -o 0 -g 0 -m 0755 libhydrogen.a $(PREFIX)/lib 2> /dev/null || install -m 0755 libhydrogen.a $(PREFIX)/lib
	mkdir -p $(PREFIX)/include
	install -o 0 -g 0 -m 0644 hydrogen.h $(PREFIX)/include 2> /dev/null || install -m 0644 hydrogen.h $(PREFIX)/include
	ldconfig 2> /dev/null || true

uninstall:
	rm -f $(PREFIX)/lib/libhydrogen.a
	rm -f $(PREFIX)/include/hydrogen.h

test: tests/tests
	rm -f tests/tests.done
	tests/tests && touch tests/tests.done

tests/tests: $(SRC) tests/tests.c
	$(CC) $(CFLAGS) -O3 -o tests/tests hydrogen.c tests/tests.c

$(OBJ): $(SRC)

libhydrogen.a: $(OBJ)
	$(AR) -r $@ $^
	$(RANLIB) $@

.PHONY: clean

clean:
	rm -f libhydrogen.a $(OBJ)
	rm -f tests/tests tests/*.done

check: test

distclean: clean

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: renpy
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Miriam Ruiz <miriam@debian.org>
 # https://www.renpy.org/doc/html/incompatible.html

## renpy 8.2.2+dfsg

=== debian/changelog ===
renpy (8.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.2.2+dfsg
  * Refresh patches
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Jun 2024 18:47:23 +0200

renpy (8.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.2.1+dfsg
  * apply the usual Multiarch hint
  * add runtime dependency on python3-ecdsa
  * loosen dependency on python3-six
  * use new dh-sequence-python3
  * refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Apr 2024 17:56:30 +0200

## renpy 8.2.3+dfsg

=== debian/changelog ===
renpy (8.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 8.2.3+dfsg

  [ Gregor Riepl ]
  * Add a patch for compatiblity with Python 3.12 (Closes: #1077202)
  * Add a patch for compatibility with FFMPEG 7 (Closes: #1077537)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 Aug 2024 19:36:17 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
 # Support for Python 2 will be dropped
 # 1 year after Ren'Py 8.1 is released, in May 2024.
 Build-Depends:
- cython3-legacy,
+ cython3,
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  icnsutils,
  libavcodec-dev,
  libavformat-dev,
@@ -31,6 +31,7 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  zlib1g-dev
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://www.renpy.org/
 Vcs-Git: https://salsa.debian.org/games-team/renpy.git
@@ -43,13 +44,14 @@
  fonts-motoya-l-cedar,
  fonts-nanum,
  fonts-roboto-hinted,
+ python3-ecdsa,
  python3-pefile,
  python3-pygame-sdl2,
  python3-renpy (>= ${source:Version}),
- python3-six,
  ${misc:Depends},
  ${python3:Depends}
 Recommends:
+ python3-six,
  python3-tk,
  zenity
 Description: framework for developing visual-novel type games
@@ -90,6 +92,7 @@
 Package: renpy-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends}
